.accordion-item
  --transition-in .1s
  --transition-out .3s
  transition-property grid-template-rows
  transition-duration var(--transition-out)
  &--active
    grid-template-rows min-content 1fr
    transition-duration var(--transition-in)
    & ^[-1]__body
      padding-y 1rem
      transition-duration var(--transition-in)
  &__header
    background-color var(--color-background)
    border-radius var(--border-radius-s)
    cursor pointer
  &__arrow
    top 50%
    right 1rem
    display block
    width 1rem
    height 1rem
    translate 0 -50%
    path
      stroke var(--color-mark)
  &__body
    overflow hidden
    transition-property padding
    transition-duration var(--transition-out)
